package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_GENERATEDATASTRATEGY"
)
public class TCoreGeneratedatastrategy extends TBaseEntity {
   private String maskincolumnid;
   private String datatype;
   private String userange;
   private String rangemin;
   private String usemaskcode;
   private String maskcode;
   private String usesourcecode;
   private String sourcecodetype;
   private String sourcecode;
   private String usetargetcode;
   private String targetcode;
   private String usevague;
   private String vaguetype;
   private String vaguemin;
   private String vaguemax;
   private String userepeat;
   private String repeatdic;
   private String expression;

   public TCoreGeneratedatastrategy() {
   }

   public TCoreGeneratedatastrategy(String maskincolumnid, String datatype, String userange, String rangemin, String usemaskcode, String maskcode, String usesourcecode, String sourcecodetype, String sourcecode, String usetargetcode, String targetcode, String usevague, String vaguetype, String vaguemin, String vaguemax, String userepeat, String repeatdic, String expression) {
      this.maskincolumnid = maskincolumnid;
      this.datatype = datatype;
      this.userange = userange;
      this.rangemin = rangemin;
      this.usemaskcode = usemaskcode;
      this.maskcode = maskcode;
      this.usesourcecode = usesourcecode;
      this.sourcecodetype = sourcecodetype;
      this.sourcecode = sourcecode;
      this.usetargetcode = usetargetcode;
      this.targetcode = targetcode;
      this.usevague = usevague;
      this.vaguetype = vaguetype;
      this.vaguemin = vaguemin;
      this.vaguemax = vaguemax;
      this.userepeat = userepeat;
      this.repeatdic = repeatdic;
      this.expression = expression;
   }

   public String getMaskincolumnid() {
      return this.maskincolumnid;
   }

   public void setMaskincolumnid(String maskincolumnid) {
      this.maskincolumnid = maskincolumnid;
   }

   public String getDatatype() {
      return this.datatype;
   }

   public void setDatatype(String datatype) {
      this.datatype = datatype;
   }

   public String getUserange() {
      return this.userange;
   }

   public void setUserange(String userange) {
      this.userange = userange;
   }

   public String getRangemin() {
      return this.rangemin;
   }

   public void setRangemin(String rangemin) {
      this.rangemin = rangemin;
   }

   public String getUsemaskcode() {
      return this.usemaskcode;
   }

   public void setUsemaskcode(String usemaskcode) {
      this.usemaskcode = usemaskcode;
   }

   public String getMaskcode() {
      return this.maskcode;
   }

   public void setMaskcode(String maskcode) {
      this.maskcode = maskcode;
   }

   public String getUsesourcecode() {
      return this.usesourcecode;
   }

   public void setUsesourcecode(String usesourcecode) {
      this.usesourcecode = usesourcecode;
   }

   public String getSourcecodetype() {
      return this.sourcecodetype;
   }

   public void setSourcecodetype(String sourcecodetype) {
      this.sourcecodetype = sourcecodetype;
   }

   public String getSourcecode() {
      return this.sourcecode;
   }

   public void setSourcecode(String sourcecode) {
      this.sourcecode = sourcecode;
   }

   public String getUsetargetcode() {
      return this.usetargetcode;
   }

   public void setUsetargetcode(String usetargetcode) {
      this.usetargetcode = usetargetcode;
   }

   public String getTargetcode() {
      return this.targetcode;
   }

   public void setTargetcode(String targetcode) {
      this.targetcode = targetcode;
   }

   public String getUsevague() {
      return this.usevague;
   }

   public void setUsevague(String usevague) {
      this.usevague = usevague;
   }

   public String getVaguetype() {
      return this.vaguetype;
   }

   public void setVaguetype(String vaguetype) {
      this.vaguetype = vaguetype;
   }

   public String getVaguemin() {
      return this.vaguemin;
   }

   public void setVaguemin(String vaguemin) {
      this.vaguemin = vaguemin;
   }

   public String getVaguemax() {
      return this.vaguemax;
   }

   public void setVaguemax(String vaguemax) {
      this.vaguemax = vaguemax;
   }

   public String getUserepeat() {
      return this.userepeat;
   }

   public void setUserepeat(String userepeat) {
      this.userepeat = userepeat;
   }

   public String getRepeatdic() {
      return this.repeatdic;
   }

   public void setRepeatdic(String repeatdic) {
      this.repeatdic = repeatdic;
   }

   public String getExpression() {
      return this.expression;
   }

   public void setExpression(String expression) {
      this.expression = expression;
   }

   public String toString() {
      return "TCoreGeneratedatastrategy [maskincolumnid=" + this.maskincolumnid + ", datatype=" + this.datatype + ", userange=" + this.userange + ", rangemin=" + this.rangemin + ", usemaskcode=" + this.usemaskcode + ", maskcode=" + this.maskcode + ", usesourcecode=" + this.usesourcecode + ", sourcecodetype=" + this.sourcecodetype + ", sourcecode=" + this.sourcecode + ", usetargetcode=" + this.usetargetcode + ", targetcode=" + this.targetcode + ", usevague=" + this.usevague + ", vaguetype=" + this.vaguetype + ", vaguemin=" + this.vaguemin + ", vaguemax=" + this.vaguemax + ", userepeat=" + this.userepeat + ", repeatdic=" + this.repeatdic + ", expression=" + this.expression + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.datatype == null ? 0 : this.datatype.hashCode());
      result = 31 * result + (this.expression == null ? 0 : this.expression.hashCode());
      result = 31 * result + (this.maskcode == null ? 0 : this.maskcode.hashCode());
      result = 31 * result + (this.maskincolumnid == null ? 0 : this.maskincolumnid.hashCode());
      result = 31 * result + (this.rangemin == null ? 0 : this.rangemin.hashCode());
      result = 31 * result + (this.repeatdic == null ? 0 : this.repeatdic.hashCode());
      result = 31 * result + (this.sourcecode == null ? 0 : this.sourcecode.hashCode());
      result = 31 * result + (this.sourcecodetype == null ? 0 : this.sourcecodetype.hashCode());
      result = 31 * result + (this.targetcode == null ? 0 : this.targetcode.hashCode());
      result = 31 * result + (this.usemaskcode == null ? 0 : this.usemaskcode.hashCode());
      result = 31 * result + (this.userange == null ? 0 : this.userange.hashCode());
      result = 31 * result + (this.userepeat == null ? 0 : this.userepeat.hashCode());
      result = 31 * result + (this.usesourcecode == null ? 0 : this.usesourcecode.hashCode());
      result = 31 * result + (this.usetargetcode == null ? 0 : this.usetargetcode.hashCode());
      result = 31 * result + (this.usevague == null ? 0 : this.usevague.hashCode());
      result = 31 * result + (this.vaguemax == null ? 0 : this.vaguemax.hashCode());
      result = 31 * result + (this.vaguemin == null ? 0 : this.vaguemin.hashCode());
      result = 31 * result + (this.vaguetype == null ? 0 : this.vaguetype.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreGeneratedatastrategy other = (TCoreGeneratedatastrategy)obj;
         if (this.datatype == null) {
            if (other.datatype != null) {
               return false;
            }
         } else if (!this.datatype.equals(other.datatype)) {
            return false;
         }

         if (this.expression == null) {
            if (other.expression != null) {
               return false;
            }
         } else if (!this.expression.equals(other.expression)) {
            return false;
         }

         if (this.maskcode == null) {
            if (other.maskcode != null) {
               return false;
            }
         } else if (!this.maskcode.equals(other.maskcode)) {
            return false;
         }

         if (this.maskincolumnid == null) {
            if (other.maskincolumnid != null) {
               return false;
            }
         } else if (!this.maskincolumnid.equals(other.maskincolumnid)) {
            return false;
         }

         if (this.rangemin == null) {
            if (other.rangemin != null) {
               return false;
            }
         } else if (!this.rangemin.equals(other.rangemin)) {
            return false;
         }

         if (this.repeatdic == null) {
            if (other.repeatdic != null) {
               return false;
            }
         } else if (!this.repeatdic.equals(other.repeatdic)) {
            return false;
         }

         if (this.sourcecode == null) {
            if (other.sourcecode != null) {
               return false;
            }
         } else if (!this.sourcecode.equals(other.sourcecode)) {
            return false;
         }

         if (this.sourcecodetype == null) {
            if (other.sourcecodetype != null) {
               return false;
            }
         } else if (!this.sourcecodetype.equals(other.sourcecodetype)) {
            return false;
         }

         if (this.targetcode == null) {
            if (other.targetcode != null) {
               return false;
            }
         } else if (!this.targetcode.equals(other.targetcode)) {
            return false;
         }

         if (this.usemaskcode == null) {
            if (other.usemaskcode != null) {
               return false;
            }
         } else if (!this.usemaskcode.equals(other.usemaskcode)) {
            return false;
         }

         if (this.userange == null) {
            if (other.userange != null) {
               return false;
            }
         } else if (!this.userange.equals(other.userange)) {
            return false;
         }

         if (this.userepeat == null) {
            if (other.userepeat != null) {
               return false;
            }
         } else if (!this.userepeat.equals(other.userepeat)) {
            return false;
         }

         if (this.usesourcecode == null) {
            if (other.usesourcecode != null) {
               return false;
            }
         } else if (!this.usesourcecode.equals(other.usesourcecode)) {
            return false;
         }

         if (this.usetargetcode == null) {
            if (other.usetargetcode != null) {
               return false;
            }
         } else if (!this.usetargetcode.equals(other.usetargetcode)) {
            return false;
         }

         if (this.usevague == null) {
            if (other.usevague != null) {
               return false;
            }
         } else if (!this.usevague.equals(other.usevague)) {
            return false;
         }

         if (this.vaguemax == null) {
            if (other.vaguemax != null) {
               return false;
            }
         } else if (!this.vaguemax.equals(other.vaguemax)) {
            return false;
         }

         if (this.vaguemin == null) {
            if (other.vaguemin != null) {
               return false;
            }
         } else if (!this.vaguemin.equals(other.vaguemin)) {
            return false;
         }

         if (this.vaguetype == null) {
            if (other.vaguetype != null) {
               return false;
            }
         } else if (!this.vaguetype.equals(other.vaguetype)) {
            return false;
         }

         return true;
      }
   }
}
